## NAME

v.surf.bspline - Bicubic or bilineal interpolation with Tykhonov regularization

## KEYWORDS

vector, interpolation

## SYNOPSIS

v.surf.bspline
v.surf.bspline help
v.surf.bspline input=name [input_ext=name] [output=name] [raster_out=name] [database=string] [driver=string] [sie=float] [sin=float] [type=string] [lambda_i=float] [--overwrite]

### Flags:

--overwrite
  Force overwrite of output files

### Parameters:

input=name
  Name of input vector map
input_ext=name
  Name of input vector map of sparse points
output=name
  Name of output vector map
raster_out=name
  Name of output raster map
database=string
  Database name
driver=string
  Driver name
  Options: dbf,pg,ogr
sie=float
  Interpolation spline step value in east direction
  Default: 4
sin=float
  Interpolation spline step value in north direction
  Default: 4
type=string
  Spline type of interpolation
  Options: bilinear,bicubic
  Default: bilinear
lambda_i=float
  Thychonov regularization weigth
  Default: 1

## DESCRIPTION

v.surf.bspline makes a bilinear/bicubic interpolation with Tykhonov regularization. The required input is a vector of only points that will be used for interpolate a reference surface. If an extra input vector is used, an estimation using the reference surface will be done on the points of this last vector. In other case, the interpolation will be done with the points of the former vector. The output format can be a vector in which case the interpolation will be done on the sparse points, or a raster map. In this last case, the interpolation will be on a regular grid.

## EXAMPLES

#### Basic interpolation

    v.surf.bspline input=point_vector output=interpolate_surface type=bicubic

In this case, a bicubic spline interpolation will be done and an estimation of the points of vector will be the output.

#### Basic interpolation and raster output with a long spline step

    v.surf.bspline input=point_vector raster_out=interpolate_surface sie=25 sin=25

Now, a bilinear spline interpolation will be done on a grid.

#### Estimation on sparse points

    v.surf.bspline input=point_vector int_ext=sparse_points output=interpolate_surface

In this last case, an estimation of the point within sparse points will be done using the parameters estimated with the points of point_vector.

## AUTHORS

Original version of the program in GRASS 5.4: (s.bspline.reg)
Maria Antonia Brovelli, Massimiliano Cannata, Ulisse Longoni, Mirko Reguzzoni
Updates for GRASS 6:
Roberto Antolin

Last changed: $Date: 2006/09/05 02:59:46 $

Main index - vector index - Full index